package vn.azteam.tpf.service.mapper;

import vn.azteam.tpf.domain.*;
import vn.azteam.tpf.service.dto.TBSuppliesTypeDTO;

import org.mapstruct.*;

/**
 * Mapper for the entity TBSuppliesType and its DTO TBSuppliesTypeDTO.
 */
@Mapper(componentModel = "spring", uses = {})
public interface TBSuppliesTypeMapper extends EntityMapper<TBSuppliesTypeDTO, TBSuppliesType> {



    default TBSuppliesType fromId(Long id) {
        if (id == null) {
            return null;
        }
        TBSuppliesType tBSuppliesType = new TBSuppliesType();
        tBSuppliesType.setId(id);
        return tBSuppliesType;
    }
}
